Description: Bonjour,

je n'arrive pas à associer mes étudiants avec leurs copies. AMC m’affiche toujours le même message erreur 
l’onglet Titre du code pour association automatique ne se déroule pas et lorsque j’associe copie et étudiant 
automatiquement, il m’affiche:

Si je fais la saisie manuelle, aucune image n'apparaît dans la fenêtre en haut à gauche.
Auriez-vous quelques pistes de recherches à me proposez?
Je vous remercie d'avance.
Régis

History
09/23/2017 06:19 pm - Frédéric Bréal

Vous n'avez pas indiqué dans le fichier source <pre>\AMCcode{x}{blabla}</pre> ou x est un nombre et blabla l'en-tête (etu apparemment) de la 
colonne du fichier csv avec les numéros

09/24/2017 12:09 am - Ferreira da silva Régis
Bonjour,

tout d'abord merci pour votre réponse.

Dois-je supprimer la commande \noindent\AMCcode{etu}{2}\hspace*{\fill} et mettre à la place la commande que vous m'avez proposée? 
Si j'effectue cette opération l'identification de l'étudiant n'apparaîtra plus sur la feuille réponse.
Voici un morceau de mon fichier latex:

%%% début de l'en-tête de la feuille de réponses

{\large\bf Feuille de réponses :}

\vspace{2ex}

\begin{minipage}[t]{.4\linewidth}
\noindent\AMCcode{etu}{2}\hspace*{\fill}

\noindent Codez \textbf{lisiblement} votre numéro d'étudiant ci-dessus en coloriant \textbf{intégralement} les bonnes cases à l'aide d'un stylo noir ou 
bleu foncé, et écrivez votre nom et prénom dans le cadre.
\end{minipage}
\hfill
\begin{minipage}[t]{0.4\linewidth}
\champnom{\fbox{    
    \begin{minipage}{.9\linewidth}
      Nom et prénom :
      
      \vspace*{.5cm}\dotfill
      \vspace*{1mm}
    \end{minipage}
  }}
\end{minipage}

\vspace{5ex}

\noindent Les réponses aux questions sont à donner exclusivement sur cette feuille :
  les réponses données sur les feuilles précédentes ne seront pas prises en compte.

\vspace{1ex}

 \noindent Pour répondre, \textbf{coloriez intégralement la case} à l'aide d'un stylo noir ou bleu foncé. \\
\noindent En cas d'erreur utilisez du correcteur blanc \textbf{sans chercher à redessiner les contours de la case}.

\vspace{1ex}
%%% fin de l'en-tête de la feuille de réponses

\formulaire    

\AMCcleardoublepage    

\clearpage

Merci encore

09/24/2017 10:07 am - Frédéric Bréal
> Dois-je supprimer la commande \noindent\AMCcode{etu}{2}\hspace*{\fill} et mettre à la place la commande que vous m'avez proposée? 
Ne faîtes rien, c'est moi qui ai inversé les arguments.

Je ne vois rien qui puisse être une erreur.
Pouvez-vous mettre votre fichier complet ? Je vais compiler avec ma version d'AMC.

09/24/2017 10:14 am - Ferreira da silva Régis
- File tests.csv added

- File ensemble.tex added

- File IMG_20170923_0002.pdf added

Un ami arrive sans difficulté à noter mes copies. Dois-je installer une autre version d'AMC?
Voici mes fichiers.
Merci encore

09/24/2017 10:21 am - Ferreira da silva Régis
Pour information, j'ai la version 1.2.1 d'AMC. Je suis sous mac OS 10.10.5 Yosemite.

09/24/2017 10:54 am - Frédéric Bréal
Moi aussi je peux corriger.
J'ai la version test 1.3.XXX sous ubuntu.

Ce n'est donc pas le fichier tex qui est en cause mais les programmes perl.
Je vous conseille de poser votre problème dans la partie forum (celle-ci est plus liée aux remontées de bug et demande d'amélioration).

Essayez de refaire quelques questions de votre sujet avec le mode AMC-txt et voir si cela bloque aussi. Cela pourra peut-être donner une indication à 
Alexis Bienvenüe.

Quelques remarques sur le fichier qui n'ont rien à avoir avec votre problème.
* Pour les sauts de lignes, il est préconisé de sauter une ligne dans le fichier source plutôt que d'utiliser la commande \\

* <pre>
		\bonne{Le Coulomb} \bareme{b=1,m=0,v=0}	
		\mauvaise{L’Ampère} \bareme{b=0,m=0,v=0}
</pre>

 Il est inutile d'ajouter le barème à chaque réponse, par défaut @b=1,m=0@, vous pouvez changer ce barème avec la commande 
@\baremeDefautS{b=1,m=0,e=0,v=0}@

* $^{14}_{12}C$ et $^{14}_{7}N$, il existe le paquet @mhchem@ pour l'écriture des atomes, ions et équations chimiques. Plus rapide que le mode 
maths (j'enseigne la physique mais au collège).

09/24/2017 11:11 am - Ferreira da silva Régis
Merci encore pour tout.
Je vais me tourner vers le forum.
J'ai hâte de faire tourner AMC avec mes classes.

09/25/2017 08:47 am - Alexis Bienvenüe
Si vous n'avez pas de QCM en cours (copies fabriquées mais par encore corrigées), pouvez-vous mettre à jour AMC et voir si le problème persiste ?

09/26/2017 04:14 pm - Ferreira da silva Régis
Bonjour,

mon pb est résolu. Il faut que j'installe une version plus récente d'AMC pour aller au bout des mes corrections.
J'ai essayer d'utiliser le paquet mhchem mais la commande \usepackage{mhchem} ou \usepackage[version=4]{mhchem} m'affiche un msg d'erreur.

09/26/2017 04:19 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed
